org.jboss.jca.core.connectionmanager.listener

## Class NoTxConnectionListener

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.listener.AbstractConnectionListener
  - - org.jboss.jca.core.connectionmanager.listener.NoTxConnectionListener

- All Implemented Interfaces:
    java.lang.Comparable, java.util.EventListener, javax.resource.spi.ConnectionEventListener, org.jboss.jca.core.api.connectionmanager.listener.ConnectionListener, org.jboss.jca.core.spi.transaction.ConnectableResourceListener

      public class NoTxConnectionListener
      extends AbstractConnectionListener

  NoTx Connection Listener.
  Author:
    Gurkan Erdogdu, Jesper Pedersen
  See Also:
    `AbstractConnectionListener`

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.core.connectionmanager.listener.AbstractConnectionListener

      `connectionHandles, connectionTraces, tracking`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoTxConnectionListener(ConnectionManager cm, javax.resource.spi.ManagedConnection mc, Pool pool, ManagedConnectionPool mcp, org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy, java.lang.Boolean tracking)` Creates a new no-tx listener.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionClosed(javax.resource.spi.ConnectionEvent ce)`
    `protected CoreLogger` | `getLogger()` Get the logger

    - ### Methods inherited from class org.jboss.jca.core.connectionmanager.listener.AbstractConnectionListener

      `compareTo, connectionErrorOccurred, controls, delist, destroy, dissociate, enlist, getCachedConnectionManager, getConnectionManager, getException, getLastCheckedOutTime, getLastReturnedTime, getLastValidatedTime, getManagedConnection, getManagedConnectionPool, getNumberOfConnections, getPool, getState, handleClosed, handleCreated, isEnlisted, isManagedConnectionFree, isTimedOut, isTrackByTx, localTransactionCommitted, localTransactionRolledback, localTransactionStarted, registerConnection, setLastCheckedOutTime, setLastValidatedTime, setState, setTrackByTx, supportsLazyAssociation, supportsLazyEnlistment, tidyup, toPool, toString, toString, unregisterConnection, unregisterConnections`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoTxConnectionListener

          public NoTxConnectionListener(ConnectionManager cm,
                                        javax.resource.spi.ManagedConnection mc,
                                        Pool pool,
                                        ManagedConnectionPool mcp,
                                        org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy,
                                        java.lang.Boolean tracking)

      Creates a new no-tx listener.
      Parameters:
        `cm` - connection manager
        `mc` - managed connection
        `pool` - pool
        `mcp` - mcp
        `flushStrategy` - flushStrategy
        `tracking` - tracking

  - ### Method Detail

    - #### getLogger

          protected CoreLogger getLogger()

      Get the logger
      Specified by:
        `getLogger` in class `AbstractConnectionListener`
      Returns:
        The value

    - #### connectionClosed

          public void connectionClosed(javax.resource.spi.ConnectionEvent ce)

      Specified by:
        `connectionClosed` in interface `javax.resource.spi.ConnectionEventListener`
      Overrides:
        `connectionClosed` in class `AbstractConnectionListener`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)